# sf::Listener Class Reference

Listener is a global interface for defining the audio listener properties ; the audio listener is the point in the scene from where all the sounds are heard. More...

`#include <Listener.hpp>`

List of all members.

## Static Public Member Functions

static void | SetGlobalVolume (float Volume)
| Change the global volume of all the sounds.
static float | GetGlobalVolume ()
| Get the current value of the global volume of all the sounds.
static void | SetPosition (float X, float Y, float Z)
| Change the position of the listener (take 3 values).
static void | SetPosition (const Vector3f &Position)
| Change the position of the listener (take a 3D vector).
static Vector3f | GetPosition ()
| Get the current position of the listener.
static void | SetTarget (float X, float Y, float Z)
| Change the orientation of the listener (the point he must look at) (take 3 values).
static void | SetTarget (const Vector3f &Target)
| Change the orientation of the listener (the point he must look at) (take a 3D vector).
static Vector3f | GetTarget ()
| Get the current orientation of the listener (the point he's looking at).

## Detailed Description

Listener is a global interface for defining the audio listener properties ; the audio listener is the point in the scene from where all the sounds are heard.

Definition at line 42 of file Listener.hpp.

## Member Function Documentation

float sf::Listener::GetGlobalVolume | ( |  | ) | `[static]`

Get the current value of the global volume of all the sounds.

Returns:
  Current global volume, in the range [0, 100]

Definition at line 46 of file Listener.cpp.

Vector3f sf::Listener::GetPosition | ( |  | ) | `[static]`

Get the current position of the listener.

Returns:
  Position of the listener in the world

Definition at line 76 of file Listener.cpp.

Vector3f sf::Listener::GetTarget | ( |  | ) | `[static]`

Get the current orientation of the listener (the point he's looking at).

Get the current orientation of the listener (the point he's looking at).

Returns:
  : Position of the point the listener is looking at

Definition at line 110 of file Listener.cpp.

void sf::Listener::SetGlobalVolume | ( | float | Volume | ) | `[static]`

Change the global volume of all the sounds.

The default volume is 100

Parameters:

  | Volume | : New global volume, in the range [0, 100]

Definition at line 37 of file Listener.cpp.

void sf::Listener::SetPosition | ( | const Vector3f & | Position | ) | `[static]`

Change the position of the listener (take a 3D vector).

The default position is (0, 0, 0)

Parameters:

  | Position | : Position of the listener in the world

Definition at line 67 of file Listener.cpp.

void sf::Listener::SetPosition | ( | float | X,
|  | float | Y,
|  | float | Z |
| ) |  |  | `[static]`

Change the position of the listener (take 3 values).

The default position is (0, 0, 0)

Parameters:

  | X,Y,Z | : Position of the listener in the world

Definition at line 58 of file Listener.cpp.

void sf::Listener::SetTarget | ( | const Vector3f & | Target | ) | `[static]`

Change the orientation of the listener (the point he must look at) (take a 3D vector).

Change the orientation of the listener (the point he must look at) (take a 3D vector).

The default target is (0, 0, -1)

Parameters:

  | Target | : Position of the point the listener must look at

Definition at line 100 of file Listener.cpp.

void sf::Listener::SetTarget | ( | float | X,
|  | float | Y,
|  | float | Z |
| ) |  |  | `[static]`

Change the orientation of the listener (the point he must look at) (take 3 values).

Change the orientation of the listener (the point he must look at) (take 3 values).

The default target is (0, 0, -1)

Parameters:

  | X,Y,Z | : Position of the point the listener must look at

Definition at line 89 of file Listener.cpp.

The documentation for this class was generated from the following files:

- Listener.hpp
- Listener.cpp